import { createVNode, createTextVNode } from "vue";
import { VueComponent } from "vue3-oop";
const defaultLabels = {
  matchType: "Match Type",
  matchTypes: [{
    id: "all",
    label: "All"
  }, {
    id: "any",
    label: "Any"
  }],
  addRule: "Add Rule",
  removeRule: "&times;",
  addGroup: "Add Group",
  removeGroup: "&times;",
  textInputPlaceholder: "value"
};
class QueryBuilder extends VueComponent {
  render() {
    return createVNode("div", null, [createTextVNode("querybuilder")]);
  }
}
QueryBuilder.defaultProps = {
  rules: {
    type: Array
  },
  labels: {
    type: Object,
    default() {
      return defaultLabels;
    }
  }
};
export { QueryBuilder };
//# sourceMappingURL=vue3-query-builder.es.js.map
